Loading...
Searching...
No Matches
irr::video::SOverrideMaterial Struct Reference

`#include <IVideoDriver.h>`

## Public Member Functions

| SOverrideMaterial ()
| Default constructor.
void | apply (SMaterial &material)
| Apply the enabled overrides.

## Public Attributes

bool | Enabled
| Global enable flag, overwritten by the SceneManager in each pass.
u32 | EnableFlags
| Which values are taken for override.
u16 | EnablePasses
| Set in which render passes the material override is active.
SMaterial | Material
| The Material values.

## Detailed Description

Definition at line 148 of file IVideoDriver.h.

## Constructor & Destructor Documentation

## SOverrideMaterial()

irr::video::SOverrideMaterial::SOverrideMaterial | ( |  | ) |

inline

Default constructor.

Definition at line 164 of file IVideoDriver.h.

References Enabled, EnableFlags, and EnablePasses.

## Member Function Documentation

## apply()

void irr::video::SOverrideMaterial::apply | ( | SMaterial & | material | ) |

inline

Apply the enabled overrides.

Definition at line 167 of file IVideoDriver.h.

References irr::video::SMaterialLayer::AnisotropicFilter, irr::video::SMaterial::AntiAliasing, irr::video::SMaterial::BackfaceCulling, irr::video::SMaterialLayer::BilinearFilter, irr::video::SMaterial::BlendOperation, irr::video::SMaterial::ColorMask, irr::video::SMaterial::ColorMaterial, irr::video::EMF_ANISOTROPIC_FILTER, irr::video::EMF_ANTI_ALIASING, irr::video::EMF_BACK_FACE_CULLING, irr::video::EMF_BILINEAR_FILTER, irr::video::EMF_BLEND_OPERATION, irr::video::EMF_COLOR_MASK, irr::video::EMF_COLOR_MATERIAL, irr::video::EMF_FOG_ENABLE, irr::video::EMF_FRONT_FACE_CULLING, irr::video::EMF_GOURAUD_SHADING, irr::video::EMF_LIGHTING, irr::video::EMF_NORMALIZE_NORMALS, irr::video::EMF_POINTCLOUD, irr::video::EMF_POLYGON_OFFSET, irr::video::EMF_TEXTURE_WRAP, irr::video::EMF_TRILINEAR_FILTER, irr::video::EMF_USE_MIP_MAPS, irr::video::EMF_WIREFRAME, irr::video::EMF_ZBUFFER, irr::video::EMF_ZWRITE_ENABLE, Enabled, EnableFlags, irr::video::SMaterial::FogEnable, irr::video::SMaterial::FrontfaceCulling, irr::video::SMaterial::GouraudShading, irr::video::SMaterial::Lighting, Material, irr::video::SMaterial::NormalizeNormals, irr::video::SMaterial::PointCloud, irr::video::SMaterial::PolygonOffsetDirection, irr::video::SMaterial::PolygonOffsetFactor, irr::video::SMaterial::TextureLayer, irr::video::SMaterialLayer::TextureWrapU, irr::video::SMaterialLayer::TextureWrapV, irr::video::SMaterialLayer::TrilinearFilter, irr::video::SMaterial::UseMipMaps, irr::video::SMaterial::Wireframe, irr::video::SMaterial::ZBuffer, and irr::video::SMaterial::ZWriteEnable.

## Member Data Documentation

## Enabled

bool irr::video::SOverrideMaterial::Enabled

Global enable flag, overwritten by the SceneManager in each pass.

The Scenemanager uses the EnablePass array and sets Enabled to true if the Override material is enabled in the current pass.

Definition at line 161 of file IVideoDriver.h.

Referenced by SOverrideMaterial(), and apply().

## EnableFlags

u32 irr::video::SOverrideMaterial::EnableFlags

Which values are taken for override.

OR'ed values from E_MATERIAL_FLAGS.

Definition at line 154 of file IVideoDriver.h.

Referenced by SOverrideMaterial(), and apply().

## EnablePasses

u16 irr::video::SOverrideMaterial::EnablePasses

Set in which render passes the material override is active.

OR'ed values from E_SCENE_NODE_RENDER_PASS.

Definition at line 157 of file IVideoDriver.h.

Referenced by SOverrideMaterial().

## Material

SMaterial irr::video::SOverrideMaterial::Material

The Material values.

Definition at line 151 of file IVideoDriver.h.

Referenced by apply().

The documentation for this struct was generated from the following file:

- IVideoDriver.h

- Irrlicht Engine Documentation © 2003-2012 by Nikolaus Gebhardt. Generated on for Irrlicht 3D Engine by Doxygen 1.15.0